<?xml version="1.0"?>
<!--
  Speedo: an implementation of JDO compliant personality on top of JORM generic
  I/O sub-system.
  Copyright (C) 2001-2004 France Telecom R&D
 
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.
 
  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.
 
  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
  Contact: sebastien.chassandebarrioz@rd.francetelecom.com
 
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
   <xsl:output method="html" indent="yes" encoding="UTF-8"/>

   <xsl:param name="html.stylesheet">stylesheet.css</xsl:param>
   <xsl:param name="html.stylesheet.type">text/css</xsl:param>
   <xsl:param name="head.title">mbean.title</xsl:param>
   <xsl:include href="common.xsl"/>
   <xsl:include href="mbean_attributes.xsl"/>

   <xsl:param name="request.objectname"/>

   <!-- Main processing template -->
   <xsl:template match="MBean">
      <html>
         <xsl:call-template name="head"/>
         <body>
			<h1 align="center">Speedo Console</h1>
            <xsl:call-template name="tabs">
               	<xsl:with-param name="selection" >
					<xsl:value-of select="@objectname"/>
				</xsl:with-param>
            </xsl:call-template>
            <p><ul>
				<li><a href="getattribute?objectname=speedo%3Aname%3Dlog&amp;attribute=Loggers&amp;format=array&amp;template=monolog_loggers">
					Configure the Loggers</a></li>
				<li><a href="getattribute?objectname=speedo%3Aname%3Dlog&amp;attribute=HandlerNames&amp;format=array&amp;template=monolog_handlers">
					Configure the Handlers</a></li>
				<li><a href="getattribute?objectname=speedo%3Aname%3Dlog&amp;attribute=Levels&amp;format=array&amp;template=monolog_levels">
					Configure the Levels</a></li>
				<li><a href="http://monolog.objectweb.org/doc/index.html">
					The monolog documentation</a></li>
            </ul></p>
         </body>
      </html>
   </xsl:template>
</xsl:stylesheet>


